package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyJhxxmxbExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyJhxxmxbExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andJhxxidIsNull() {
            addCriterion("JHXXID is null");
            return (Criteria) this;
        }

        public Criteria andJhxxidIsNotNull() {
            addCriterion("JHXXID is not null");
            return (Criteria) this;
        }

        public Criteria andJhxxidEqualTo(String value) {
            addCriterion("JHXXID =", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotEqualTo(String value) {
            addCriterion("JHXXID <>", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidGreaterThan(String value) {
            addCriterion("JHXXID >", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidGreaterThanOrEqualTo(String value) {
            addCriterion("JHXXID >=", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLessThan(String value) {
            addCriterion("JHXXID <", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLessThanOrEqualTo(String value) {
            addCriterion("JHXXID <=", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidLike(String value) {
            addCriterion("JHXXID like", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotLike(String value) {
            addCriterion("JHXXID not like", value, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidIn(List<String> values) {
            addCriterion("JHXXID in", values, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotIn(List<String> values) {
            addCriterion("JHXXID not in", values, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidBetween(String value1, String value2) {
            addCriterion("JHXXID between", value1, value2, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andJhxxidNotBetween(String value1, String value2) {
            addCriterion("JHXXID not between", value1, value2, "jhxxid");
            return (Criteria) this;
        }

        public Criteria andSxhIsNull() {
            addCriterion("SXH is null");
            return (Criteria) this;
        }

        public Criteria andSxhIsNotNull() {
            addCriterion("SXH is not null");
            return (Criteria) this;
        }

        public Criteria andSxhEqualTo(Short value) {
            addCriterion("SXH =", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotEqualTo(Short value) {
            addCriterion("SXH <>", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThan(Short value) {
            addCriterion("SXH >", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhGreaterThanOrEqualTo(Short value) {
            addCriterion("SXH >=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThan(Short value) {
            addCriterion("SXH <", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhLessThanOrEqualTo(Short value) {
            addCriterion("SXH <=", value, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhIn(List<Short> values) {
            addCriterion("SXH in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotIn(List<Short> values) {
            addCriterion("SXH not in", values, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhBetween(Short value1, Short value2) {
            addCriterion("SXH between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andSxhNotBetween(Short value1, Short value2) {
            addCriterion("SXH not between", value1, value2, "sxh");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNull() {
            addCriterion("PZMC is null");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNotNull() {
            addCriterion("PZMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzmcEqualTo(String value) {
            addCriterion("PZMC =", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotEqualTo(String value) {
            addCriterion("PZMC <>", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThan(String value) {
            addCriterion("PZMC >", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThanOrEqualTo(String value) {
            addCriterion("PZMC >=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThan(String value) {
            addCriterion("PZMC <", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThanOrEqualTo(String value) {
            addCriterion("PZMC <=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLike(String value) {
            addCriterion("PZMC like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotLike(String value) {
            addCriterion("PZMC not like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcIn(List<String> values) {
            addCriterion("PZMC in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotIn(List<String> values) {
            addCriterion("PZMC not in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcBetween(String value1, String value2) {
            addCriterion("PZMC between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotBetween(String value1, String value2) {
            addCriterion("PZMC not between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(String value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(String value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(String value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(String value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(String value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLike(String value) {
            addCriterion("LSDJBM like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotLike(String value) {
            addCriterion("LSDJBM not like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<String> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<String> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(String value1, String value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(String value1, String value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(String value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(String value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(String value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(String value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(String value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLike(String value) {
            addCriterion("LSDJMC like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotLike(String value) {
            addCriterion("LSDJMC not like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<String> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<String> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(String value1, String value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(String value1, String value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andKcjgIsNull() {
            addCriterion("KCJG is null");
            return (Criteria) this;
        }

        public Criteria andKcjgIsNotNull() {
            addCriterion("KCJG is not null");
            return (Criteria) this;
        }

        public Criteria andKcjgEqualTo(BigDecimal value) {
            addCriterion("KCJG =", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgNotEqualTo(BigDecimal value) {
            addCriterion("KCJG <>", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgGreaterThan(BigDecimal value) {
            addCriterion("KCJG >", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("KCJG >=", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgLessThan(BigDecimal value) {
            addCriterion("KCJG <", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("KCJG <=", value, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgIn(List<BigDecimal> values) {
            addCriterion("KCJG in", values, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgNotIn(List<BigDecimal> values) {
            addCriterion("KCJG not in", values, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KCJG between", value1, value2, "kcjg");
            return (Criteria) this;
        }

        public Criteria andKcjgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KCJG not between", value1, value2, "kcjg");
            return (Criteria) this;
        }

        public Criteria andScnfIsNull() {
            addCriterion("SCNF is null");
            return (Criteria) this;
        }

        public Criteria andScnfIsNotNull() {
            addCriterion("SCNF is not null");
            return (Criteria) this;
        }

        public Criteria andScnfEqualTo(String value) {
            addCriterion("SCNF =", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfNotEqualTo(String value) {
            addCriterion("SCNF <>", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfGreaterThan(String value) {
            addCriterion("SCNF >", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfGreaterThanOrEqualTo(String value) {
            addCriterion("SCNF >=", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfLessThan(String value) {
            addCriterion("SCNF <", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfLessThanOrEqualTo(String value) {
            addCriterion("SCNF <=", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfLike(String value) {
            addCriterion("SCNF like", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfNotLike(String value) {
            addCriterion("SCNF not like", value, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfIn(List<String> values) {
            addCriterion("SCNF in", values, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfNotIn(List<String> values) {
            addCriterion("SCNF not in", values, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfBetween(String value1, String value2) {
            addCriterion("SCNF between", value1, value2, "scnf");
            return (Criteria) this;
        }

        public Criteria andScnfNotBetween(String value1, String value2) {
            addCriterion("SCNF not between", value1, value2, "scnf");
            return (Criteria) this;
        }

        public Criteria andRknfIsNull() {
            addCriterion("RKNF is null");
            return (Criteria) this;
        }

        public Criteria andRknfIsNotNull() {
            addCriterion("RKNF is not null");
            return (Criteria) this;
        }

        public Criteria andRknfEqualTo(String value) {
            addCriterion("RKNF =", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfNotEqualTo(String value) {
            addCriterion("RKNF <>", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfGreaterThan(String value) {
            addCriterion("RKNF >", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfGreaterThanOrEqualTo(String value) {
            addCriterion("RKNF >=", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfLessThan(String value) {
            addCriterion("RKNF <", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfLessThanOrEqualTo(String value) {
            addCriterion("RKNF <=", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfLike(String value) {
            addCriterion("RKNF like", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfNotLike(String value) {
            addCriterion("RKNF not like", value, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfIn(List<String> values) {
            addCriterion("RKNF in", values, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfNotIn(List<String> values) {
            addCriterion("RKNF not in", values, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfBetween(String value1, String value2) {
            addCriterion("RKNF between", value1, value2, "rknf");
            return (Criteria) this;
        }

        public Criteria andRknfNotBetween(String value1, String value2) {
            addCriterion("RKNF not between", value1, value2, "rknf");
            return (Criteria) this;
        }

        public Criteria andJhmxztIsNull() {
            addCriterion("JHMXZT is null");
            return (Criteria) this;
        }

        public Criteria andJhmxztIsNotNull() {
            addCriterion("JHMXZT is not null");
            return (Criteria) this;
        }

        public Criteria andJhmxztEqualTo(String value) {
            addCriterion("JHMXZT =", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztNotEqualTo(String value) {
            addCriterion("JHMXZT <>", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztGreaterThan(String value) {
            addCriterion("JHMXZT >", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztGreaterThanOrEqualTo(String value) {
            addCriterion("JHMXZT >=", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztLessThan(String value) {
            addCriterion("JHMXZT <", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztLessThanOrEqualTo(String value) {
            addCriterion("JHMXZT <=", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztLike(String value) {
            addCriterion("JHMXZT like", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztNotLike(String value) {
            addCriterion("JHMXZT not like", value, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztIn(List<String> values) {
            addCriterion("JHMXZT in", values, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztNotIn(List<String> values) {
            addCriterion("JHMXZT not in", values, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztBetween(String value1, String value2) {
            addCriterion("JHMXZT between", value1, value2, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andJhmxztNotBetween(String value1, String value2) {
            addCriterion("JHMXZT not between", value1, value2, "jhmxzt");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}